Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.swing
Class ExceptionPane.CustomLister

    java.lang.Object
      org.crosswire.common.swing.ExceptionPane.CustomLister

All Implemented Interfaces:
  EventListener, ListSelectionListener

Enclosing class:
  ExceptionPane

    private static final class ExceptionPane.CustomLister

extends Object
implements ListSelectionListener

List listener to update the contents of the text area whenever someone clicks in the list

Field Summary
`private JLabel` | `mylabel` The Text to write to
`private JTextArea` | `mytext` The Text to write to
`private org.crosswire.common.util.StackTrace` | `st` The StackTrace

Constructor Summary
`ExceptionPane.CustomLister(org.crosswire.common.util.StackTrace st, JTextArea text, JLabel label)` Initialize with the stuff we need to act on the change, when the list is clicked.

Method Summary
`void` | `valueChanged(ListSelectionEvent ev)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### st

    private org.crosswire.common.util.StackTrace st

  The StackTrace

### mytext

    private JTextArea mytext

  The Text to write to

### mylabel

    private JLabel mylabel

  The Text to write to

Constructor Detail

### ExceptionPane.CustomLister

    public ExceptionPane.CustomLister(org.crosswire.common.util.StackTrace st,
                                      JTextArea text,
                                      JLabel label)

  Initialize with the stuff we need to act on the change, when the list is clicked.

  Parameters:
    `st` - The list of elements in the exception
    `text` - The editable file
    `label` - The filename label

Method Detail

### valueChanged

    public void valueChanged(ListSelectionEvent ev)

  Specified by:
    `valueChanged` in interface `ListSelectionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD